#
# spec file for package python-pyelftools
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-pyelftools
Version:        0.23
Release:        1.1
License:        SUSE-Public-Domain
Summary:        Library for analyzing ELF files and DWARF debugging information
Url:            https://github.com/eliben/pyelftools
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/p/pyelftools/pyelftools-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
pyelftools is a pure-Python library for parsing and analyzing ELF files and DWARF debugging information.

%prep
%setup -q -n pyelftools-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE
%{_bindir}/readelf.py
%{python_sitelib}/*

%changelog
* Thu Apr 30 2015 Adam Mizerski <adam@mizerski.pl>
- created package (version 0.32)
